View Issue Details

IDProjectCategoryView StatusLast Update
0000049The Underworld[All Projects] Bugpublic2020-02-15 01:07
ReporterChickenpie32Assigned ToSkyCorp 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformSWFOS.OS Version.
Product Versionr39 
Target VersionFixed in Versionr40 
Summary0000049: function speciesNatureTick() not triggering
Description

I have multiple species mods in development, but they are currently both on hold as the species nature tick function is not triggering properly. I have been able to use movetick and bodypart tick, but they wouldn't work in this situation.

Steps To Reproduce

Create any species mod with a species nature tick function

TagsModding

Activities

SkyCorp

2020-01-23 08:43

administrator   ~0000063

Thank you for the bug report; can you confirm you are more than 50% the target species? (if I recall, it doesn't get called until you are a majority that type of species)

Chickenpie32

2020-01-27 21:11

reporter   ~0000064

i had nine bodyPartTicks occur, which is the maximum for the species. that means that 60% of the body parts are of that species.

SkyCorp

2020-02-15 01:07

administrator   ~0000065

Fixed in next build!

Issue History

Date Modified Username Field Change
2020-01-23 01:30 Chickenpie32 New Issue
2020-01-23 01:30 Chickenpie32 Tag Attached: Modding
2020-01-23 08:43 SkyCorp Assigned To => SkyCorp
2020-01-23 08:43 SkyCorp Status new => acknowledged
2020-01-23 08:43 SkyCorp Note Added: 0000063
2020-01-27 21:11 Chickenpie32 Note Added: 0000064
2020-02-15 01:07 SkyCorp Status acknowledged => resolved
2020-02-15 01:07 SkyCorp Resolution open => fixed
2020-02-15 01:07 SkyCorp Fixed in Version => r40
2020-02-15 01:07 SkyCorp Note Added: 0000065